Bug 71206 - select no packages --> misbehaviour
Summary: select no packages --> misbehaviour
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: up2date (Show other bugs)
(Show other bugs)
Version: limbo
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-09 22:16 UTC by Michael Schwendt
Modified: 2015-01-07 23:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-12 18:10:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Schwendt 2002-08-09 22:16:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020804

Description of problem:
Reproducible with 2.9.31-7.x.9 because that one has a working dependency check
step. [ With 2.9.33-7.x.9 it can't be tested completely due to bug #70871 -- it
terminates immediately without error/status output. ]


Version-Release number of selected component (if applicable):
2.9.31-7.x.9 and 2.9.33-7.x.9

How reproducible:
Always

Steps to Reproduce:
1. fully upgrade Limbo beta2
2. downgrade at least one package
3. run "update"
4. do not select any packages to upgrade at the step called
"Available Package Updates"
5. press "Forward" nevertheless
6. click "OK" on the error dialog which reads "You must select at least one
package. If you do not..."


Actual Results:  Progress dialog ["Registration Progress" - Testing package set
/ solving RPM inter-dependencies] and there it hangs, plus:

Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1281, in onPackagePageNext
    self.__refreshCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 395, in dryRun
    if len(rc):
TypeError: len() of unsized object
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1344, in onDependencyPagePrepare
    for pkg in self.depPackages:
AttributeError: Gui instance has no attribute 'depPackages'


Expected Results:  Being sent back to the step "Available Package Updates" where
I could select any packages to upgrade or where I could click "Cancel" to exit.


Additional Inforamtion:
Trying 2.9.38 with upgrade RPM later.

Comment 1 Michael Schwendt 2002-08-09 22:27:17 UTC
Reproducible with 2.9.38-7.x.9 from Raw Hide:

Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1283, in onPackagePageNext
    self.__refreshCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 407, in dryRun
    if len(rc):
TypeError: len() of unsized object
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1346, in onDependencyPagePrepare
    for pkg in self.depPackages:
AttributeError: Gui instance has no attribute 'depPackages'


Comment 2 Warren Togami 2002-08-10 07:17:07 UTC
I just reproduced this bug in up2date-2.9.38-7.x.9.  There appears to be a
missing return statement in gui.py.  This patch appears to fix it for me.

--- up2date-2.9.38/gui.py.orig  2002-08-09 21:07:13.000000000 -1000
+++ up2date-2.9.38/gui.py       2002-08-09 21:07:28.000000000 -1000
@@ -1263,6 +1263,8 @@
 press the "Cancel" button to exit Update Agent."""),
                                 parent = self.mainWin)

+            return TRUE
+
         # build list of selected packages
         rowData = ()
         self.selectedPkgList = []

Comment 3 Michael Schwendt 2002-08-10 07:23:10 UTC
Yes, that patch works here, too.

Comment 4 Adrian Likins 2002-08-12 18:10:22 UTC
fixed in cvs, should be in 2.9.40

Comment 5 Jay Turner 2002-08-19 19:41:17 UTC
Fix confirmed with up2date-2.9.46-1.


Note You need to log in before you can comment on or make changes to this bug.